Subject: bug#30812: Perl syntax highlighting regression in fix for #27613? (feecb66b6fe41c977b8e11b5f2d419c9544f42de)

From: Clément Pit-Claudel <[email-masked]>
Date: Wed, 21 Mar 2018 00:21:56 -0400

>> Am I missing something? (I don't speak Perl, so I noticed this in a regression test)
> 
> I missed this in the originating thread, but according to what I'm
> getting from web searches, most of those keywords are perl 6 specific.
> I think perl-mode shouldn't support them.

Thanks.  My understanding was that these keywords could safely be highlighted, as long as care was taken to not highlight variable names (distinguishable due to the sigils).

> 
> [1: f8cad16bb3]: 2018-03-20 20:14:40 -0400
>   Revert "Support all perl variable declarators and prefixes"
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=f8cad16bb3272a8069b3008019f9d18516aef1a5>
> .
>